Bug 1274057 - Samsung SSD have driver issues
Samsung SSD have driver issues
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
21
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 15:11 EDT by customercare
Modified: 2015-12-02 13:20 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:44:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output kernel 4.1.8 (73.49 KB, text/plain)
2015-10-21 18:26 EDT, customercare
no flags Details

  None (edit)
Description customercare 2015-10-21 15:11:51 EDT
Description of problem:

The "Samsung SSD 840 EVO 120GB" throws error messages on startup:

Oct 21 20:47:16 eve kernel: [   10.847602] ata4: SError: { Handshk }
Oct 21 20:47:16 eve kernel: [   10.847604] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847609] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847611] ata4.00: failed command: WRITE FPDMA QUEUED


Actual results:

lots of errors.


Expected results:

no errors while initializing the drive.

Additional info:

Oct 21 20:47:16 eve kernel: [    1.470015] ata6: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
Oct 21 20:47:16 eve kernel: [    1.470051] ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
Oct 21 20:47:16 eve kernel: [    1.470071] ata3: SATA link up 6.0 Gbps (SStatus 133 SControl 300)
Oct 21 20:47:16 eve kernel: [    1.470089] ata4: SATA link up 6.0 Gbps (SStatus 133 SControl 300)
Oct 21 20:47:16 eve kernel: [    1.471992] ata4.00: supports DRM functions and may not be fully accessible
Oct 21 20:47:16 eve kernel: [    1.472054] ata4.00: READ LOG DMA EXT failed, trying unqueued
Oct 21 20:47:16 eve kernel: [    1.472088] ata4.00: ATA-9: Samsung SSD 840 EVO 120GB, EXT0CB6Q, max UDMA/133
Oct 21 20:47:16 eve kernel: [    1.472090] ata4.00: 234441648 sectors, multi 1: LBA48 NCQ (depth 31/32), AA
Oct 21 20:47:16 eve kernel: [    1.472264] ata4.00: supports DRM functions and may not be fully accessible
Oct 21 20:47:16 eve kernel: [    1.472318] ata4.00: configured for UDMA/133
...
Oct 21 20:47:16 eve kernel: [   10.847597] ata4.00: exception Emask 0x10 SAct 0x7ffffffb SErr 0x400000 action 0x6 frozen
Oct 21 20:47:16 eve kernel: [   10.847600] ata4.00: irq_stat 0x08000000, interface fatal error
Oct 21 20:47:16 eve kernel: [   10.847602] ata4: SError: { Handshk }
Oct 21 20:47:16 eve kernel: [   10.847604] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847608] ata4.00: cmd 61/08:00:db:31:12/00:00:0c:00:00/40 tag 0 ncq 4096 out
Oct 21 20:47:16 eve kernel: [   10.847608]          res 40/00:18:b3:9e:11/00:00:0c:00:00/40 Emask 0x10 (ATA bus error)
Oct 21 20:47:16 eve kernel: [   10.847609] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847611] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847614] ata4.00: cmd 61/08:08:3b:37:12/00:00:0c:00:00/40 tag 1 ncq 4096 out
Oct 21 20:47:16 eve kernel: [   10.847614]          res 40/00:18:b3:9e:11/00:00:0c:00:00/40 Emask 0x10 (ATA bus error)
Oct 21 20:47:16 eve kernel: [   10.847615] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847616] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847619] ata4.00: cmd 61/10:18:b3:9e:11/00:00:0c:00:00/40 tag 3 ncq 8192 out
Oct 21 20:47:16 eve kernel: [   10.847619]          res 40/00:18:b3:9e:11/00:00:0c:00:00/40 Emask 0x10 (ATA bus error)
Oct 21 20:47:16 eve kernel: [   10.847620] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847622] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847624] ata4.00: cmd 61/20:20:e3:9e:11/00:00:0c:00:00/40 tag 4 ncq 16384 out
Oct 21 20:47:16 eve kernel: [   10.847624]          res 40/00:18:b3:9e:11/00:00:0c:00:00/40 Emask 0x10 (ATA bus error)
Oct 21 20:47:16 eve kernel: [   10.847626] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847627] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847629] ata4.00: cmd 61/08:28:33:a9:11/00:00:0c:00:00/40 tag 5 ncq 4096 out
Oct 21 20:47:16 eve kernel: [   10.847629]          res 40/00:18:b3:9e:11/00:00:0c:00:00/40 Emask 0x10 (ATA bus error)
Oct 21 20:47:16 eve kernel: [   10.847631] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847632] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847634] ata4.00: cmd 61/08:30:e3:ad:11/00:00:0c:00:00/40 tag 6 ncq 4096 out
Oct 21 20:47:16 eve kernel: [   10.847634]          res 40/00:18:b3:9e:11/00:00:0c:00:00/40 Emask 0x10 (ATA bus error)
Oct 21 20:47:16 eve kernel: [   10.847636] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847637] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847639] ata4.00: cmd 61/08:38:9b:b2:11/00:00:0c:00:00/40 tag 7 ncq 4096 out
Oct 21 20:47:16 eve kernel: [   10.847639]          res 40/00:18:b3:9e:11/00:00:0c:00:00/40 Emask 0x10 (ATA bus error)
Oct 21 20:47:16 eve kernel: [   10.847641] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847642] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847644] ata4.00: cmd 61/08:40:c3:b2:11/00:00:0c:00:00/40 tag 8 ncq 4096 out
Oct 21 20:47:16 eve kernel: [   10.847644]          res 40/00:18:b3:9e:11/00:00:0c:00:00/40 Emask 0x10 (ATA bus error)
Oct 21 20:47:16 eve kernel: [   10.847646] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847647] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847649] ata4.00: cmd 61/08:48:e3:bd:11/00:00:0c:00:00/40 tag 9 ncq 4096 out
Oct 21 20:47:16 eve kernel: [   10.847649]          res 40/00:18:b3:9e:11/00:00:0c:00:00/40 Emask 0x10 (ATA bus error)
Oct 21 20:47:16 eve kernel: [   10.847651] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847652] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847654] ata4.00: cmd 61/08:50:13:be:11/00:00:0c:00:00/40 tag 10 ncq 4096 out
Oct 21 20:47:16 eve kernel: [   10.847654]          res 40/00:18:b3:9e:11/00:00:0c:00:00/40 Emask 0x10 (ATA bus error)
Oct 21 20:47:16 eve kernel: [   10.847656] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847657] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847659] ata4.00: cmd 61/08:58:eb:f4:11/00:00:0c:00:00/40 tag 11 ncq 4096 out
Oct 21 20:47:16 eve kernel: [   10.847659]          res 40/00:18:b3:9e:11/00:00:0c:00:00/40 Emask 0x10 (ATA bus error)
Oct 21 20:47:16 eve kernel: [   10.847661] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847662] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847664] ata4.00: cmd 61/08:60:bb:f3:11/00:00:0c:00:00/40 tag 12 ncq 4096 out
Oct 21 20:47:16 eve kernel: [   10.847664]          res 40/00:18:b3:9e:11/00:00:0c:00:00/40 Emask 0x10 (ATA bus error)
Oct 21 20:47:16 eve kernel: [   10.847665] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847667] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847669] ata4.00: cmd 61/08:68:3b:f4:11/00:00:0c:00:00/40 tag 13 ncq 4096 out
Oct 21 20:47:16 eve kernel: [   10.847669]          res 40/00:18:b3:9e:11/00:00:0c:00:00/40 Emask 0x10 (ATA bus error)
Oct 21 20:47:16 eve kernel: [   10.847670] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847672] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847674] ata4.00: cmd 61/08:70:6b:f5:11/00:00:0c:00:00/40 tag 14 ncq 4096 out
Oct 21 20:47:16 eve kernel: [   10.847674]          res 40/00:18:b3:9e:11/00:00:0c:00:00/40 Emask 0x10 (ATA bus error)
Oct 21 20:47:16 eve kernel: [   10.847675] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847676] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847679] ata4.00: cmd 61/08:78:53:f7:11/00:00:0c:00:00/40 tag 15 ncq 4096 out
Oct 21 20:47:16 eve kernel: [   10.847679]          res 40/00:18:b3:9e:11/00:00:0c:00:00/40 Emask 0x10 (ATA bus error)
Oct 21 20:47:16 eve kernel: [   10.847680] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847681] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847684] ata4.00: cmd 61/08:80:1b:f7:11/00:00:0c:00:00/40 tag 16 ncq 4096 out
Oct 21 20:47:16 eve kernel: [   10.847684]          res 40/00:18:b3:9e:11/00:00:0c:00:00/40 Emask 0x10 (ATA bus error)
Oct 21 20:47:16 eve kernel: [   10.847685] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847686] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847689] ata4.00: cmd 61/08:88:5b:f9:11/00:00:0c:00:00/40 tag 17 ncq 4096 out
Oct 21 20:47:16 eve kernel: [   10.847689]          res 40/00:18:b3:9e:11/00:00:0c:00:00/40 Emask 0x10 (ATA bus error)
Oct 21 20:47:16 eve kernel: [   10.847690] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847691] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847694] ata4.00: cmd 61/08:90:9b:0f:12/00:00:0c:00:00/40 tag 18 ncq 4096 out
Oct 21 20:47:16 eve kernel: [   10.847694]          res 40/00:18:b3:9e:11/00:00:0c:00:00/40 Emask 0x10 (ATA bus error)
Oct 21 20:47:16 eve kernel: [   10.847695] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847696] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847699] ata4.00: cmd 61/08:98:bb:17:12/00:00:0c:00:00/40 tag 19 ncq 4096 out
Oct 21 20:47:16 eve kernel: [   10.847699]          res 40/00:18:b3:9e:11/00:00:0c:00:00/40 Emask 0x10 (ATA bus error)
Oct 21 20:47:16 eve kernel: [   10.847700] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847701] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847704] ata4.00: cmd 61/08:a0:d3:17:12/00:00:0c:00:00/40 tag 20 ncq 4096 out
Oct 21 20:47:16 eve kernel: [   10.847704]          res 40/00:18:b3:9e:11/00:00:0c:00:00/40 Emask 0x10 (ATA bus error)
Oct 21 20:47:16 eve kernel: [   10.847705] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847706] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847708] ata4.00: cmd 61/08:a8:73:19:12/00:00:0c:00:00/40 tag 21 ncq 4096 out
Oct 21 20:47:16 eve kernel: [   10.847708]          res 40/00:18:b3:9e:11/00:00:0c:00:00/40 Emask 0x10 (ATA bus error)
Oct 21 20:47:16 eve kernel: [   10.847710] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847711] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847713] ata4.00: cmd 61/08:b0:8b:19:12/00:00:0c:00:00/40 tag 22 ncq 4096 out
Oct 21 20:47:16 eve kernel: [   10.847713]          res 40/00:18:b3:9e:11/00:00:0c:00:00/40 Emask 0x10 (ATA bus error)
Oct 21 20:47:16 eve kernel: [   10.847715] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847716] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847718] ata4.00: cmd 61/08:b8:ab:19:12/00:00:0c:00:00/40 tag 23 ncq 4096 out
Oct 21 20:47:16 eve kernel: [   10.847720] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847721] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847723] ata4.00: cmd 61/08:c0:d3:19:12/00:00:0c:00:00/40 tag 24 ncq 4096 out
Oct 21 20:47:16 eve kernel: [   10.847723]          res 40/00:18:b3:9e:11/00:00:0c:00:00/40 Emask 0x10 (ATA bus error)
Oct 21 20:47:16 eve kernel: [   10.847724] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847726] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847728] ata4.00: cmd 61/08:c8:e3:19:12/00:00:0c:00:00/40 tag 25 ncq 4096 out
Oct 21 20:47:16 eve kernel: [   10.847728]          res 40/00:18:b3:9e:11/00:00:0c:00:00/40 Emask 0x10 (ATA bus error)
Oct 21 20:47:16 eve kernel: [   10.847729] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847731] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847733] ata4.00: cmd 61/08:d0:d3:22:12/00:00:0c:00:00/40 tag 26 ncq 4096 out
Oct 21 20:47:16 eve kernel: [   10.847733]          res 40/00:18:b3:9e:11/00:00:0c:00:00/40 Emask 0x10 (ATA bus error)
Oct 21 20:47:16 eve kernel: [   10.847734] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847735] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847738] ata4.00: cmd 61/08:d8:0b:23:12/00:00:0c:00:00/40 tag 27 ncq 4096 out
Oct 21 20:47:16 eve kernel: [   10.847738]          res 40/00:18:b3:9e:11/00:00:0c:00:00/40 Emask 0x10 (ATA bus error)
Oct 21 20:47:16 eve kernel: [   10.847739] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847740] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847743] ata4.00: cmd 61/10:e0:1b:28:12/00:00:0c:00:00/40 tag 28 ncq 8192 out
Oct 21 20:47:16 eve kernel: [   10.847743]          res 40/00:18:b3:9e:11/00:00:0c:00:00/40 Emask 0x10 (ATA bus error)
Oct 21 20:47:16 eve kernel: [   10.847744] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847745] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847748] ata4.00: cmd 61/08:e8:c3:28:12/00:00:0c:00:00/40 tag 29 ncq 4096 out
Oct 21 20:47:16 eve kernel: [   10.847748]          res 40/00:18:b3:9e:11/00:00:0c:00:00/40 Emask 0x10 (ATA bus error)
Oct 21 20:47:16 eve kernel: [   10.847749] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847750] ata4.00: failed command: WRITE FPDMA QUEUED
Oct 21 20:47:16 eve kernel: [   10.847753] ata4.00: cmd 61/10:f0:ab:31:12/00:00:0c:00:00/40 tag 30 ncq 8192 out
Oct 21 20:47:16 eve kernel: [   10.847753]          res 40/00:18:b3:9e:11/00:00:0c:00:00/40 Emask 0x10 (ATA bus error)
Oct 21 20:47:16 eve kernel: [   10.847754] ata4.00: status: { DRDY }
Oct 21 20:47:16 eve kernel: [   10.847756] ata4: hard resetting link
Oct 21 20:47:16 eve kernel: [   11.307300] ata4: SATA link up 6.0 Gbps (SStatus 133 SControl 300)
Oct 21 20:47:16 eve kernel: [   11.307524] ata4.00: supports DRM functions and may not be fully accessible
Oct 21 20:47:16 eve kernel: [   11.307804] ata4.00: supports DRM functions and may not be fully accessible
Oct 21 20:47:16 eve kernel: [   11.307856] ata4.00: configured for UDMA/133
Oct 21 20:47:16 eve kernel: [   11.307889] ata4: EH complete
Comment 1 Josh Boyer 2015-10-21 15:31:48 EDT
What kernel version?

Which kernel version did this start with?

Does it happen with the latest kernel in the updates-testing repository?

Please attach the output of dmesg from both a working kernel and a non-working kernel.
Comment 2 customercare 2015-10-21 18:25:04 EDT
actual Kernel: 4.1.8-100
and i saw messages, but did not report it, for earlier kernels. Means, there is no "working" kernel anymore on this machine.

if i find the time tomorrow, i will check the testing kernel.

a dmesg attachment will be created here soon.
Comment 3 customercare 2015-10-21 18:26 EDT
Created attachment 1085348 [details]
dmesg output kernel 4.1.8
Comment 4 Fedora End Of Life 2015-11-04 05:04:40 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-12-02 10:44:54 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.